// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {

    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Image {
        id: image_destino
        source: ""
    }

    PageStack {
        id: pageStackDetalleDestino
        width: 480
        height: 600
        x:0
        y:140
        busy: true


        Flickable {
            id: flickArea
            x: 0
            y: -1
            height: 500
            anchors.rightMargin: 0
            anchors.bottomMargin: 1
            anchors.leftMargin: 0
            anchors.topMargin: -1
            anchors.fill: parent
            contentWidth: text_detalle.width
            contentHeight: text_detalle.height
            flickableDirection: Flickable.VerticalFlick
            clip: true
            interactive: true

            Text {
                id: text_detalle
                x: 13
                y: 12
                width: 454
                //height: 527
                color: "#ffffff"
                text: qsTr("")
                font.bold: true
                font.family: "Myriad Pro"
                wrapMode: Text.WordWrap
                font.pixelSize: 24
            }
        }



    }

    Rectangle {
        id: rectangle2
        x: 0
        y: 0
        width: 480
        height: 45
        opacity: 0.7
        color: "black"


        MouseArea {
            id: mouse_area_share
            x: 401
            y: 3
            width: 50
            height: 40

            onClicked: {
                GlobalVars.urlShare = GlobalVars.arrayDataDestinoJSON.detail.share_url;
                console.log(GlobalVars.arrayDataDestinoJSON.detail.share_url);
            }
        }
    }

    Image {
        id: titulo_mexico
        x: 165
        y: -5
        width: 150
        height: 58
        source: "img/insumo/loader9.png"
    }

        Rectangle {
            id: rectangle1
            x: 0
            y: 105
            width: 480
            height: 35
            opacity: 0.5
            color: "black"



        Label {
            id: label1_destino
            x: 52
            y: 4
            width: 374
            height: 29
            color: "#ffffff"
            text: "Detalle"
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }

    Image {
        id: tituloDestino
        x: 63
        y: 63
        width: 354
        height: 35
        source: "img/insumo/BARRA-TEXTO-MORADO.png"

        Text {
            id: text_destino
            x: 0
            y: 0
            width: 354
            height: 35
            color: "#ffffff"
            text: qsTr("")
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: 26
        }
    }

    Component.onCompleted: {

       // pageStackDestino.push(Qt.resolvedUrl("ItemDetalleDestino.qml"));
        var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
        image_destino.source = "img/insumo/splash-480.png";

        var textoMax = "";

        if(GlobalVars.arrayDataDestinoJSON[numJson].items.name.length > 25)
        {
            for(var j = 0; j < 25 ; j++)
            {
                textoMax += GlobalVars.arrayDataDestinoJSON[numJson].items.name[j];
            }
            textoMax += "...";
        }
        else
        {
            textoMax =  GlobalVars.arrayDataDestinoJSON[numJson].items.name;
        }
        text_destino.text = textoMax;

       // text_destino.text = GlobalVars.arrayDataDestinoJSON[numJson].items.name;


        GlobalVars.arrayDataDestinoJSON[numJson].items.description = GlobalVars.arrayDataDestinoJSON[numJson].items.description.replace("‘","");

        text_detalle.text = GlobalVars.arrayDataDestinoJSON[numJson].items.description;
        cargando(false);
    }
}
