// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import QtMultimediaKit 1.1
import com.nokia.meego 1.0
import QtMobility.location 1.2
import QtWebKit 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services

///********************************
/*
import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.location 1.2


Page {
    id: mainPage
    property string latitudeStr: "RESOLVING"
    property string longitudeStr: "RESOLVING"
    property Coordinate currentCoord

    //! Used to indicate if device is in portrait mode
    property bool isPortrait: (screen.currentOrientation===Screen.Landscape) ? false : true

    //! Using common toolbar defined in main/qml/main.qml
    tools: commonTools

    //! We stop retrieving position information when component is to be destroyed
    Component.onDestruction: positionSource.stop();

    //! Check if application is active, stop position updates if not
    Connections {
        target: Qt.application
        onActiveChanged: {
            if (Qt.application.active)
                positionSource.start();
            else
                positionSource.stop();
        }
    }

    //! Container for map element
    Rectangle {
        id : mapview
        height: parent.height
        width: parent.width

        //! Map element centered with current position
        Map {
            id: map
            plugin : Plugin {
                        name : "nokia";

                        //! Location requires usage of app_id and token parameters.
                        //! Values below are for testing purposes only, please obtain real values.
                        //! Go to https://api.developer.nokia.com/ovi-api/ui/registration?action=list.
                        parameters: [
                            PluginParameter { name: "app_id"; value: "APPID" },
                            PluginParameter { name: "token"; value: "TOKEN" }
                       ]
                    }
            anchors.fill: parent
            size { width: parent.width; height: parent.height }
            center: positionSource.position.coordinate
            mapType: Map.StreetMap
            zoomLevel: map.maximumZoomLevel - 1

            //! Icon to display the current position
            MapImage {
                id: mapPlacer
                source: "img/insumo/punto.jpeg"
                coordinate: positionSource.position.coordinate


                 // We want that bottom middle edge of icon points to the location, so using offset parameter
                 // to change the on-screen position from coordinate. Values are calculated based on icon size,
                 // in our case icon is 48x48.

                offset.x: -24
                offset.y: -48
            }
        }

        //! Panning and pinch implementation on the maps
        PinchArea {
            id: pincharea

            //! Holds previous zoom level value
            property double __oldZoom

            anchors.fill: parent

            //! Calculate zoom level
            function calcZoomDelta(zoom, percent) {
                return zoom + Math.log(percent)/Math.log(2)
            }

            //! Save previous zoom level when pinch gesture started
            onPinchStarted: {
                __oldZoom = map.zoomLevel
            }

            //! Update map's zoom level when pinch is updating
            onPinchUpdated: {
                map.zoomLevel = calcZoomDelta(__oldZoom, pinch.scale)
            }

            //! Update map's zoom level when pinch is finished
            onPinchFinished: {
                map.zoomLevel = calcZoomDelta(__oldZoom, pinch.scale)
            }
        }

        //! Map's mouse area for implementation of panning in the map and zoom on double click
        MouseArea {
            id: mousearea

            //! Property used to indicate if panning the map
            property bool __isPanning: false

            //! Last pressed X and Y position
            property int __lastX: -1
            property int __lastY: -1

            anchors.fill : parent

            //! When pressed, indicate that panning has been started and update saved X and Y values
            onPressed: {
                __isPanning = true
                __lastX = mouse.x
                __lastY = mouse.y
            }

            //! When released, indicate that panning has finished
            onReleased: {
                __isPanning = false
            }

            //! Move the map when panning
            onPositionChanged: {
                if (__isPanning) {
                    var dx = mouse.x - __lastX
                    var dy = mouse.y - __lastY
                    map.pan(-dx, -dy)
                    __lastX = mouse.x
                    __lastY = mouse.y
                }
            }

            //! When canceled, indicate that panning has finished
            onCanceled: {
                __isPanning = false;
            }

            //! Zoom one level when double clicked
            onDoubleClicked: {
                map.center = map.toCoordinate(Qt.point(__lastX,__lastY))
                map.zoomLevel += 1
            }
        }
    }

    //! Source for retrieving the positioning information
    PositionSource {
        id: positionSource

        //! Desired interval between updates in milliseconds
        updateInterval: 10000
        active: true

        //! When position changed, update the location strings
        onPositionChanged: {
            updateGeoInfo()
        }
    }

    function updateGeoInfo() {
        currentCoord = positionSource.position.coordinate
        latitudeStr = currentCoord.latitude
        longitudeStr = currentCoord.longitude
    }

    Column {
        anchors { bottom: parent.bottom; bottomMargin: 32; left: parent.left; leftMargin: 16 }
        spacing: 16

        Rectangle {
            id: longRect
            color: "#FFFFFF"
            height: 36
            width: 330

            Label {
                id: longLabel
                anchors { fill: parent; margins: 5 }
                font { family: "Nokia Pure Text"; weight: Font.Light; pixelSize: 24 }

                text: "Longitude: " + longitudeStr + "."
            }
        }

        Rectangle {
            id: latRect
            color: "#FFFFFF"
            height: 36
            width: 330

            Label {
                id: latLabel
                anchors { fill: parent; margins: 5 }
                font { family: "Nokia Pure Text"; weight: Font.Light; pixelSize: 24 }

                text: "Latitude: " + latitudeStr + "."
            }
        }
    }
}
*/

Page {
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    PropertyAnimation {id:move_content_panorama; target: content_panorama; properties: "x";  to: -318; duration: 10000; easing.type: Easing.Linear }

    property int contPano: 0;
    property string popupHide: "";
    property double mapLat;
    property double mapLong;

    PositionSource {
       id: positionSource
       updateInterval: 1000
       active: true
   }

    mapLat: positionSource.position.coordinate.latitude
    mapLong: positionSource.position.coordinate.longitude


    Item {
        id: content_panorama

        Image {
            id: panorama_img
            height: 740
            source: GlobalVars.arrayImgPano[contPano]
        }
    }


    Timer{
        id:timer1
        interval: 10100
        repeat: true

        onTriggered: {
           // console.log("onTriggered");
            restarAnimation();
        }
    }

 //************************* menu *******************

    Image {
        id: image6
        x: 41
        y: 199
        width: 394
        height: 72
        source: "img/insumo/item.png"

        Text {
            id: text5
            x: 39
            y: 0
            width: 306
            height: 72
            color: "#ffffff"
            text: qsTr("Actividades")
            verticalAlignment: Text.AlignVCenter
            font.pixelSize: 26
        }

        MouseArea {
            id: mouse_area5
            x: 0
            y: 0
            width: 394
            height: 72

            onClicked: {
                actividades();
            }
        }
    }

    Image {
        id: image7
        x: 43
        y: 284
        width: 394
        height: 72
        source: "img/insumo/item.png"

        Text {
            id: text6
            x: 38
            y: 0
            width: 307
            height: 72
            color: "#ffffff"
            text: qsTr("Destinos")
            verticalAlignment: Text.AlignVCenter
            font.pixelSize: 26
        }

        MouseArea {
            id: mouse_area6
            x: 0
            y: 0
            width: 394
            height: 72

            onClicked: {
                destino();
            }
        }
    }

    Image {
        id: image8
        x: 43
        y: 370
        width: 394
        height: 72
        source: "img/insumo/item.png"

        Text {
            id: text7
            x: 36
            y: 0
            width: 309
            height: 72
            color: "#ffffff"
            text: qsTr("Multimedia")
            verticalAlignment: Text.AlignVCenter
            font.pixelSize: 26
        }

        MouseArea {
            id: mouse_area7
            x: 0
            y: 0
            width: 394
            height: 72

            onClicked: {
                multimedia();

            }
        }
    }


//****************** animacion para el popup   *************


    PropertyAnimation {id:move_content_popup; target: content_popup; properties: "y";  to: -600; duration: 800; easing.type: Easing.OutExpo }
    PropertyAnimation {id:move_content_popup_hide; target: content_popup; properties: "y";  to: 0; duration: 800; easing.type: Easing.InBack }

    Item {
        id: content_popup


        Image {
            id: popup_img
            x: 56
            y: 794
            height: 328
            width: 370
            source: "img/insumo/popup.png"

            Text {
                id: text1
                x: 10
                y: 10
                width: 268
                height: 45
                color: "#ffffff"
                text: qsTr("")
                verticalAlignment: Text.AlignVCenter
                font.pixelSize: 24
            }

            Text {
                id: text2
                x: 10
                y: 99
                width: 268
                height: 67
                color: "#ffffff"
                text: qsTr("")
                wrapMode: Text.WordWrap
                font.pixelSize: 20
            }

            Text {
                id: text3
                x: 7
                y: 283
                width: 268
                height: 40
                color: "#ffffff"
                text: qsTr("Màs información.")
                font.pixelSize: 18
                wrapMode: Text.WordWrap
            }

            Image {
                id: image3
                x: 346
                y: -8
                width: 35
                height: 35
                source: "img/insumo/CERRAR.png"
            }

            MouseArea {
                id: mouse_area2
                x: 346
                y: -11
                width: 38
                height: 34
                onClicked: {
                    popupHide = "false";
                    move_content_popup_hide.running = true;
                    timer2.running = true;
                }

            }

            Image {
                id: image4
                x: 329
                y: 289
                width: 35
                height: 35
                source: "img/insumo/avion.png"
            }



            MouseArea {
                id: mouse_area3
                x: 326
                y: 289
                width: 38
                height: 34
                onClicked: {
                    cargando(true);
                    viajar();
                }
            }


        }
    }

    Timer{
        id:timer2
        interval: 10100

        onTriggered: {

        }

    }

    Image {
        id: image1
        x: 165
        y: 0
        width:150
        height: 60
        source: "img/insumo/loader9.png"
    }
/*
    Image {
        id: image2
        x: 417
        y: 676
        width: 35
        height: 35
        source: "img/insumo/info.png"
    }

    MouseArea {
        id: mouse_area1
        x: 417
        y: 676
        width: 37
        height: 34

        onClicked: {
            if(popupHide == "true")
            {
                popupHide = "false";
                move_content_popup_hide.running = true;
                timer2.running = true;
            }
            else
            {
                popupHide = "true";
                move_content_popup.running = true;
                timer2.running = true;
            }


        }
    }
*/
    Image {
        id: image9
        x: 43
        y: 455
        width: 394
        height: 72
        Text {
            id: text8
            x: 38
            y: 0
            width: 307
            height: 72
            color: "#ffffff"
            text: qsTr("Mapas")
            font.pixelSize: 26
            verticalAlignment: Text.AlignVCenter
        }

        MouseArea {
            id: mouse_area8
            x: 0
            y: 0
            width: 394
            height: 72

            onClicked:
            {
              Qt.openUrlExternally("geo:"+mapLat+","+mapLong+"?action=poi&zoomLevel=13");
         //   Qt.openUrlExternally("geo:22.92804166565176,-102.01904296875?action=showOnMap&zoomLevel=13");

            }
        }
        source: "img/insumo/item.png"
    }

    Image {
        id: image10
        x: 43
        y: 541
        width: 394
        height: 72
        Text {
            id: text9
            x: 36
            y: 0
            width: 309
            height: 72
            color: "#ffffff"
            text: qsTr("Llegar a...")
            font.pixelSize: 26
            verticalAlignment: Text.AlignVCenter
        }

        MouseArea {
            id: mouse_area9
            x: 0
            y: 0
            width: 394
            height: 72

            onClicked: {
               // Qt.openUrlExternally("action=driveTo");

                Qt.openUrlExternally("geo:"+mapLat+","+mapLong+"?action=driveTo");

            }
        }
        source: "img/insumo/item.png"
    }



/*


    property double mapLat
    property double mapLong
    mapLat: positionSource.position.coordinate.latitude
    mapLong: positionSource.position.coordinate.longitude

    PositionSource {
        id: positionSource
        active: true
        updateInterval: 1000
    }

    function updatePosition(mapLat, mapLong){
        //mapView.evaluateJavaScript("createMap("+mapLat+","+mapLong+");");
        // Launch Nokia Maps
            VisScreen.launchMaps(positionSource.position.coordinate.latitude, positionSource.position.coordinate.longitude); // Pass thru coords
    }

    WebView {
        id: mapView
        url: "js/map.html"
        preferredWidth: parent.width
        preferredHeight: parent.height
        scale: 1
        onLoadFinished: {
            console.log("kljsjaksj");
            updatePosition(mapLat, mapLong);

        }

    }
*/


///////
    /////////// FUNCTIONS //////////
    Component.onCompleted: {
        //Qt.openUrlExternally("geo:63.132131,54.32321?action=showOnMap&action=driveTo");
        //Qt.openUrlExternally("geo:4.698226319252345,-74.05502647161484?searchTerm=museos&action=driveTo");
        //.openUrlExternally("geo:0,0?searchTerm=" + encodeURIComponent(ut) + "&action=driveTo");
//        Qt.openUrlExternally("geo:4.698226319252345,-74.05502647161484?action=driveTo");


        if(GlobalVars.lenguaje != "es" )
        {
            text3.text = "More information.";
            text7.text = "Media";
            text5.text = "Activities";
            text6.text = "Destinations";
            text8.text = "Maps";
            text9.text = "Drive";
        }
       // contPano = 0;
        move_content_panorama.running = true;
        timer1.running = true;
        GlobalVars.paginaDestino = 0;//para iniciar el conteo del menu

        var urlString = "http://visitmexicoservices.cloudapp.net/services/Destino.svc/destino/listado"+GlobalVars.finalUrl;
        var json = Services.cargarJson(informacionPopUp,urlString);

    }


    function restarAnimation()
    {
        informacionPopUp(GlobalVars.jsonHome);

        contPano++;
        if(contPano >= GlobalVars.arrayImgPano.length )
        {contPano = 0}

        panorama_img.source = GlobalVars.arrayImgPano[contPano];
        content_panorama.x = 0;

        move_content_panorama.running = true;
        timer1.running = true;
    }

    function informacionPopUp(data)
    {
        GlobalVars.jsonHome = data;
        text1.text = data.items[contPano].name;
        text2.text = data.items[contPano].name;
    }

    function viajar()
    {
        var cad = GlobalVars.jsonHome.items[contPano-1].url + GlobalVars.finalUrl;
        Services.cargarJson(callDestino, cad);
        //console.log("contPano: "+contPano);
    }

    function callDestino(data)
    {
        GlobalVars.arrayDataDestinoJSON.push(data);
        pageStack.clear();
        pageStack.push(Qt.resolvedUrl("HomePage.qml"));
        //pageStack.push(Qt.resolvedUrl("PageDestinos.qml"));
        pageStack.push(Qt.resolvedUrl("PageLoadDestino.qml"));

    }

}
