// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************

Item {
    width: 50
    height: 50


    property string sourceImg: "img/destinos_thum/default.png";
    property string label_txt: "";
    property string urlJSON: "";

    Image {
        id: fondo_img
        width: 180
        height: 120
        source: sourceImg
    }
    Image {
        id: fonde_txt
        width: 180
        height: 30
        x:0
        y:89
        source: "img/insumo/contenedor-de-texto.png"
    }


    Text {
        id: text1
        x: 0
        text: label_txt
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.family: "arial"
        font.pointSize: 16
        color: "white"
        y : 94
        width: 180
        height: 20

    }

    MouseArea {
        id: area_item
        x: 0
        y: 0
        width: 180
        height: 120

        onClicked: {
            loadDataDestino();
            GlobalVars.paginaDestino = 0;//para iniciar el conteo del menu
        }
    }

    Image {
        id: image1
        x: 104
        y: 0
        width: 75
        height: 120
        source: "img/insumo/BARRA.png"
    }

    function loadDataDestino()
    {
        cargando(true);
        var cad = urlJSON + GlobalVars.finalUrl;
        Services.cargarJson(setDataArrayJSON, cad);
    }

    function setDataArrayJSON(data)
    {
        GlobalVars.arrayDataDestinoJSON.push(data);
        pageStack.push(Qt.resolvedUrl("PageLoadDestino.qml"));
    }
}
