// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************

Item {
    width: 50
    height: 50


    property string sourceImg: "img/destinos_thum/default.png";
    property string label_txt: "";
    property string urlJSON: "";

    Image {
        id: fondo_img
        width: 180
        height: 120
        source: sourceImg
    }
    Image {
        id: fonde_txt
        width: 180
        height: 29
        x:0
        y:91
        source: "img/insumo/contenedor-de-texto.png"
    }

    Text {
        id: text1
        x: 0
        text: label_txt
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.WordWrap
        font.family: "arial"
        font.pointSize: 16
        color: "white"
        y : 93
        width: 180
        height: 26

    }

    MouseArea {
        id: area_item
        x: 0
        y: 0
        width: 180
        height: 120

        onClicked: {
            if(label_txt == "Galerias" || label_txt == "Galleries")
            {
                cargando(true);
                loadDataMultimedia();
            }
            else
            {
                cargando(true);
                loadVideos();
            }
        }
    }

    Image {
        id: image1
        x: 105
        y: 0
        width: 75
        height: 120
        source: "img/insumo/BARRA.png"
    }

    function loadDataMultimedia()
    {
        var cad = urlJSON + GlobalVars.finalUrl;// no existe imagenes para el idioma ingles
        Services.cargarJson(setDataArrayJSON, cad);
    }

    function setDataArrayJSON(data)
    {
        cargando(true);
        GlobalVars.arrayMultimediaJson = data;
        pageStack.push(Qt.resolvedUrl("PageFotoMultimedia.qml"));
    }

    function loadVideos()
    {
        var cad = urlJSON;
        Services.cargarJson(setDataVideos, cad);
    }

    function setDataVideos(data)
    {
        cargando(true);
        GlobalVars.arrayMultimediaJson = data;
        pageStack.push(Qt.resolvedUrl("PageVideoMultimedia.qml"));
    }

}
