// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************

Page {
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line


    PropertyAnimation {id:move_content_panorama_destino; target: content_panorama_destino; properties: "x";  to: -318; duration: 10000; easing.type: Easing.Linear }

    property int contPano: 0;

    Item {
        id: content_panorama_destino


        Image {
            id: panorama_img_destino
            height: 740
            source: GlobalVars.arrayImgPano[contPano]

        }

    }

    Timer{
        id:timer_destino
        interval: 10100
        repeat: true

        onTriggered: {
           // console.log("onTriggered");
            restarAnimation();
        }
    }

    Rectangle{
        id:fondoopaco
        color: "black"
        opacity:0.6
        width: 480
        height: 740

    }

    function restarAnimation()
    {
       // console.log("restarAnimation");

        contPano++;
        if(contPano >= GlobalVars.arrayImgPano.length )
        {contPano = 0}

        panorama_img_destino.source = GlobalVars.arrayImgPano[contPano];
        content_panorama_destino.x = 0;

        move_content_panorama_destino.running = true;
        timer_destino.running = true;
    }



/////////////// Grilla ////////////////////////

    GridView {
        id: listViewDestinos
        x:25
        y:121
        width: 460
        height: 470
        cellWidth: 230;
        cellHeight: 140
        delegate:componentDestino //delegateItem
        model: listModelDestinos
        focus: true

    }


    ListModel {
        id:listModelDestinos

        Component.onCompleted:{
            //console.log("***onCompleted listModel***");
        }
    }

    Component{
        id:componentDestino

        ItemActividades{
            id:itemactividades1

            Component.onCompleted: {

                itemactividades1.sourceImg = obj.sourceImg;
                itemactividades1.label_txt = obj.label_txt;
                itemactividades1.urlJSON = obj.url;

            }

        }

    }

    Image {
        id: image1
        x: 63
        y: 67
        width: 354
        height: 35
        source: "img/insumo/BARRA-TEXTO-NARANJA.png"
    }

    Text {
        id: text1
        x: 63
        y: 67
        width: 354
        height: 38
        color: "#ffffff"
        text: qsTr("Actividades")
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 26
    }


    Rectangle {
        id: rectangle_black
        x: 0
        y: 0
        width: 480
        height: 55
        opacity: 0.7
        color: "black"
    }
    Image {
        id: image_mexico
        x: 165
        y: 0
        width:150
        height: 60
        source: "img/insumo/loader9.png"
    }

    /////////////////////////////////

    function objItem()
    {
        this.sourceImg = "";
        this.label_txt = "";
        this.url = "";
    }


    Component.onCompleted: {
        move_content_panorama_destino.running = true;
        timer_destino.running = true;
        var urlString = "http://visitmexicoservices.cloudapp.net/services/Categoria.svc/categoria/listado"+GlobalVars.finalUrl;
        var json = Services.cargarJson(paintDestinos,urlString);

        if(GlobalVars.lenguaje == "en")
        {
            text1.text = "Activities";
        }

    }

    function paintDestinos(json)
    {

        for(var i = 0 ; i < json.items.length; i++)
        {
            var obj = new objItem();
            var textoMax = "";

            if(json.items[i].name.length > 18)
            {
                for(var j = 0; j < 18 ; j++)
                {
                    textoMax += json.items[i].name[j];
                }
                textoMax += "...";
            }
            else
            {
                textoMax =  json.items[i].name;
            }
            obj.sourceImg = "img/categorias_thum/"+json.items[i].thumbnail;
            obj.label_txt = textoMax;
            obj.url = json.items[i].url;

            listModelDestinos.append({"obj":obj});
        }
        cargando(false);

    }



}
