// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        width: 480
        height: 640
        color: "black"
        opacity:0.5
    }



    /////////////// Grilla ////////////////////////

        GridView {
            id: listViewDestinos
            x:30
            y:40
            width: 460
            height: 470
            cellWidth: 230;
            cellHeight: 140
            delegate:componentDestino //delegateItem
            model: listModelDestinos
            focus: true
        }


        ListModel {
            id:listModelDestinos

            Component.onCompleted:{
                console.log("***onCompleted listModel***");
            }
        }

        Component{
            id:componentDestino


            ItemActividadDestino {
                id: itemactividaddestino1


                Component.onCompleted: {

                    itemactividaddestino1.sourceImg = obj.sourceImg;
                    itemactividaddestino1.label_txt = obj.label_txt;
                    itemactividaddestino1.urlJSON = obj.url;

                }

            }

        }


        Rectangle {
            id: rectangle2
            x: 0
            y: -58
            width: 480
            height: 58
            opacity: 0.5
            color: "black"

            Label {
                id: label1_destino
                x: 52
                y: 7
                width: 374
                height: 44
                color: "#ffffff"
                text: "Actividades"
                font.bold: true
                font.pointSize: 24
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
            }
        }

        /////////////////////////////////

        function objItem()
        {
            this.sourceImg = "";
            this.label_txt = "";
            this.url = "";
        }


        Component.onCompleted: {
            paintDestinos(GlobalVars.arrayDataDestinoJSON);
            if(GlobalVars.lenguaje != "es" )
            {
                label1_destino.text = "Activities"
            }
           // console.log(GlobalVars.arrayDataDestinoJSON.detail.activities[0].name);
        }

        function paintDestinos(json)
        {
            var numJson = GlobalVars.arrayDataDestinoJSON.length-1;

            for(var i = 0 ; i < json[numJson].detail.activities.length; i++)
            {
                var obj = new objItem();
                var textoMax = "";

                if(json[numJson].detail.activities[i].name.length > 16)
                {
                    for(var j = 0; j < 16 ; j++)
                    {
                        textoMax += json[numJson].detail.activities[i].name[j];
                    }
                    textoMax += "...";
                }
                else
                {
                    textoMax = obj.label_txt = json[numJson].detail.activities[i].name.name;
                }
                obj.sourceImg = "img/actividades_thum/"+json[numJson].detail.activities[i].thumbnail;
                obj.label_txt = textoMax;
                obj.url = json[numJson].detail.activities[i].url;

                listModelDestinos.append({"obj":obj});
            }
            cargando(false);
        }

}
