// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        width: 480
        height: 640
        color: "black"
        opacity:0.5
    }



    /////////////// Grilla ////////////////////////

        GridView {
            id: listViewDestinos
            x:50
            y:80
            width: 460
            height: 470
            cellWidth: 440;
            cellHeight: 260
            delegate:componentDestino //delegateItem
            model: listModelDestinos
            focus: true


        }


        ListModel {
            id:listModelDestinos

            Component.onCompleted:{}
        }

        Component{
            id:componentDestino

            ItemClimaDestino {
                id: itemclimadestino1


                Component.onCompleted: {
                    itemclimadestino1.image = obj.image;
                    itemclimadestino1.imagen2 = obj.imagen2;
                    itemclimadestino1.direccion = obj.direccion;
                    itemclimadestino1.velocidad = obj.velocidad;
                    itemclimadestino1.manana = obj.manana;
                    itemclimadestino1.localiz = obj.localiz;
                    itemclimadestino1.maximo = obj.maximo;
                    itemclimadestino1.grados = obj.grados;
                    itemclimadestino1.viento = obj.viento;
                    itemclimadestino1.humedad = obj.humedad;
                    itemclimadestino1.presion = obj.presion;
                    itemclimadestino1.amanecer = obj.amanecer;
                    itemclimadestino1.atardecer = obj.atardecer;

                }

            }

        }

        Rectangle {
            id: rectangle2
            x: 0
            y: -58
            width: 480
            height: 58
            opacity: 0.5
            color: "black"

            Label {
                id: label1_destino
                x: 52
                y: 7
                width: 374
                height: 44
                color: "#ffffff"
                text: "Clima"
                font.bold: true
                font.pointSize: 24
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
            }
        }


        /////////////////////////////////

        function objItem()
        {
            this.image = "";
            this.imagen2 = "";
            this.direccion = "";
            this.velocidad = "";
            this.manana = "";
            this.localiz = "";
            this.maximo = "";
            this.grados = "";
            this.viento = "";
            this.presion = "";
            this.humedad = "";
            this.amanecer = "";
            this.atardecer = "";
        }


        Component.onCompleted: {
            //paintClima(GlobalVars.arrayDataDestinoJSON);
            var d = new Date();

            var urlTemp = "http://weather.yahooapis.com/forecastrss?w="+GlobalVars.arrayDataDestinoJSON[0].detail.woeid+"&nocache="+d.getTime();
            Services.cargarXml(urlTemp,Services.climaCiudadYahoo,paintClima);

            if(GlobalVars.lenguaje != "es" )
            {
                label1_destino.text = "Weather"
            }
        }

        function paintClima(json)
        {

            var climaIdioma = GlobalVars.arrayClimaES;

            if(GlobalVars.lenguaje != "es" )
            {
                climaIdioma = GlobalVars.arrayClimaEN;
            }


            var respuesta = JSON.parse(json);
           // console.log("clima json string:"+json);

            var obj = new objItem();
            var f = convertirFare(respuesta.rss.channel.item.forecast[0].low);
            var g = convertirFare(respuesta.rss.channel.item.forecast[0].high);
            var h = convertirFare(respuesta.rss.channel.item.condition.temp);
            var k = convertirFare(respuesta.rss.channel.wind.chill);

            //obj.image = respuesta.rss.channel.item.forecast[0].code;
            //obj.imagen2 = respuesta.rss.channel.item.forecast[1].code;
            obj.image = "qrc:/Clima/Clima/"+respuesta.rss.channel.item.forecast[0].code+".png";
            obj.imagen2 ="qrc:/Clima/Clima/"+respuesta.rss.channel.item.forecast[1].code +".png";
            obj.localiz = respuesta.rss.channel.location.city +", "+respuesta.rss.channel.location.country;
            obj.maximo = climaIdioma[0]+": "+f+"°C  "+climaIdioma[1]+": "+g+"°C";
            obj.grados = h;
            obj.manana = climaIdioma[2]+": " + respuesta.rss.channel.item.forecast[1].date+"\n"+climaIdioma[0]+": "+ respuesta.rss.channel.item.forecast[1].low+"°C   "+climaIdioma[1]+": "+ respuesta.rss.channel.item.forecast[1].high+"°C \n"+climaIdioma[3]+": "+ respuesta.rss.channel.item.forecast[1].text;
            obj.viento = climaIdioma[4]+ k+"°C";
            obj.direccion = climaIdioma[5]+":\n"+respuesta.rss.channel.wind.direction+"°";
            obj.velocidad = climaIdioma[6]+":\n"+respuesta.rss.channel.wind.speed+" "+respuesta.rss.channel.units.speed;
            obj.presion = climaIdioma[7]+":\n"+respuesta.rss.channel.atmosphere.humidity;
            obj.humedad = climaIdioma[8]+":\n"+respuesta.rss.channel.atmosphere.pressure;
            obj.amanecer = climaIdioma[9]+":\n"+respuesta.rss.channel.astronomy.sunrise;
            obj.atardecer = climaIdioma[10]+":\n"+respuesta.rss.channel.astronomy.sunset;

            listModelDestinos.append({"obj":obj});
            cargando(false);

        }


        function convertirFare(f)
        {
            var conv = parseFloat(f);
            conv = (conv - 32) * (5/9);
            return Math.ceil(conv);
        }



}



