// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        width: 480
        height: 640
        color: "black"
        opacity:0.5
    }

    /////////////// Grilla ////////////////////////

        GridView {
            id: listViewDestinos
            x:30
            y:40
            width: 460
            height: 470
            cellWidth: 230;
            cellHeight: 140
            delegate:componentDestino //delegateItem
            model: listModelDestinos
            focus: true

        }


        ListModel {
            id:listModelDestinos

            Component.onCompleted:{
                console.log("***onCompleted listModel***");
            }
        }

        Component{
            id:componentDestino


            ItemActividadConDestino {
                id: itemactividadcondestino1


                Component.onCompleted: {

                    itemactividadcondestino1.sourceImg = obj.sourceImg;
                    itemactividadcondestino1.label_txt = obj.label_txt;
                    itemactividadcondestino1.urlJSON = obj.url;

                }

            }

        }




        /////////////////////////////////

        function objItem()
        {
            this.sourceImg = "";
            this.label_txt = "";
            this.url = "";
        }


        Component.onCompleted: {
            paintDestinos(GlobalVars.arrayActividadJson);
           // console.log(GlobalVars.arrayDataDestinoJSON.detail.activities[0].name);
        }

        function paintDestinos(json)
        {
            var numJson = GlobalVars.arrayActividadJson.length-1;

            for(var i = 0 ; i < json[numJson].items.items.length; i++)
            {
                var obj = new objItem();
                var textoMax = "";
                json[numJson].items.items[i].name = json[numJson].items.items[i].name.replace(GlobalVars.arrayActividadJson[numJson].items.name+" ","");

                if(json[numJson].items.items[i].name.length > 16)
                {
                    for(var j = 0; j < 16 ; j++)
                    {
                        textoMax += json[numJson].items.items[i].name[j];
                    }
                    textoMax += "...";
                }
                else
                {
                    textoMax =  json[numJson].items.items[i].name;
                }

               // textoMax = textoMax.replace(GlobalVars.arrayActividadJson[numJson].items.name,"");

                obj.sourceImg = "img/destinos_thum/"+json[numJson].items.items[i].thumbnail;
                obj.label_txt = textoMax;
                obj.url = json[numJson].items.items[i].url;

                listModelDestinos.append({"obj":obj});
            }
            cargando(false);
        }

}
