// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        width: 480
        height: 640
        color: "black"
        opacity:0.5
    }



    /////////////// Grilla ////////////////////////

        GridView {
            id: listViewDestinos
            x:30
            y:40
            width: 460
            height: 470
            cellWidth: 230;
            cellHeight: 140
            delegate:componentDestino //delegateItem
            model: listModelDestinos
            focus: true
        }


        ListModel {
            id:listModelDestinos
            Component.onCompleted:{
               // console.log("***onCompleted listModel***");
            }
        }

        Component{
            id:componentDestino

            ItemFotoDestino {
                id: itemfotodestino1


                Component.onCompleted: {

                    itemfotodestino1.sourceImg = obj.sourceImg;
                    itemfotodestino1.label_txt = obj.label_txt;
                    itemfotodestino1.urlImage = obj.image;

                }

            }

        }

        Rectangle {
            id: rectangle2
            x: 0
            y: -58
            width: 480
            height: 58
            opacity: 0.5
            color: "black"

            Label {
                id: label1_destino
                x: 52
                y: 7
                width: 374
                height: 44
                color: "#ffffff"
                text: "Fotos del destino"
                font.bold: true
                font.pointSize: 24
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
            }
        }


        /////////////////////////////////

        function objItem()
        {
            this.sourceImg = "";
            this.label_txt = "";
            this.image = "";
        }


        Component.onCompleted: {
            paintDestinos(GlobalVars.arrayDataDestinoJSON);
            if(GlobalVars.lenguaje != "es" )
            {
                label1_destino.text = "Destiny photos"
            }
           // console.log(GlobalVars.arrayDataDestinoJSON.detail.activities[0].name);
        }

        function paintDestinos(json)
        {
            var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
            console.log(numJson);
            if(json[numJson].detail.gallery.length >0)
            {
                for(var i = 0 ; i < json[numJson].detail.gallery.length; i++)
                {
                    var obj = new objItem();
                    var textoMax = "";
                    json[numJson].detail.gallery[i].name = json[numJson].detail.gallery[i].name.replace(GlobalVars.arrayDataDestinoJSON[numJson].detail.name+" ","");

                    if(json[numJson].detail.gallery[i].name.length > 16)
                    {
                        for(var j = 0; j < 16 ; j++)
                        {
                            textoMax += json[numJson].detail.gallery[i].name[j];
                        }
                        textoMax += "...";
                    }
                    else
                    {
                        textoMax = json[numJson].detail.gallery[i].name;
                    }
                    obj.sourceImg = json[numJson].detail.gallery[i].thumbnail;
                    obj.label_txt = textoMax;
                    obj.image = json[numJson].detail.gallery[i].image;
                    //console.log(json[numJson].detail.gallery[i].image);
                    listModelDestinos.append({"obj":obj});
                }
            }
            else
            {
                console.log("no hay datos");
            }
            cargando(false);
        }

}
