// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        x: 0
        y: 100
        width: 480
        height: 640
        color: "transparent"

        Image {
            id: image1
            x: 0
            y: -99
            width: 480
            height: 739
            source: "img/insumo/splash-480.png"
        }
    }



    /////////////// Grilla ////////////////////////

        GridView {
            id: listViewDestinos
            x:30
            y:140
            width: 460
            height: 470
            cellWidth: 230;
            cellHeight: 140
            delegate:componentDestino //delegateItem
            model: listModelDestinos
            focus: true

        }


        ListModel {
            id:listModelDestinos

            Component.onCompleted:{
                console.log("***onCompleted listModel***");
            }
        }

        Component{
            id:componentDestino

            ItemFotoMultimedia {
                id: itemfotomultimedia1


                Component.onCompleted: {

                    itemfotomultimedia1.sourceImg = obj.sourceImg;
                    itemfotomultimedia1.label_txt = obj.label_txt;
                    itemfotomultimedia1.urlImage = obj.urlImage;
                    itemfotomultimedia1.descrip = obj.descrip;
                    itemfotomultimedia1.numeroSwipeActual = obj.numeroSwipeActual;
                }
            }
        }

        Image {
            id: imageB
            x: 80
            y: 61
            width: 320
            height: 27
            source: "img/insumo/BARRA-TEXTO-VERDE.png"
        }

        Text {
            id: textB
            x: 80
            y: 60
            width: 320
            height: 27
            color: "#ffffff"
            text: qsTr("Fotos")
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: 21
        }


        Rectangle {
            id: rectangle2
            x: 0
            y: 99
            width: 480
            height: 35
            opacity: 0.5
            color: "black"

            Label {
                id: label1_destino
                x: 52
                y: 4
                width: 374
                height: 29
                color: "#ffffff"
                text: "Galeria"
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
            }
        }

        Rectangle {
            id: rectangle_black
            x: 0
            y: 0
            width: 480
            height: 55
            opacity: 0.7
            color: "black"
        }

        Image {
            id: image2
            x: 165
            y: 0
            width: 150
            height: 60
            source: "img/insumo/loader9.png"
        }


        /////////////////////////////////

        function objItem()
        {
            this.sourceImg = "";
            this.label_txt = "";
            this.urlImage = "";
            this.descrip = "";
            this.numeroSwipeActual = 0;
        }


        Component.onCompleted: {
            paintDestinos(GlobalVars.arrayMultimediaJson);
            if(GlobalVars.lenguaje != "es" )
            {
                label1_destino.text = "Gallery"
                textB.text = "Photos"
            }
        }

        function paintDestinos(json)
        {

            if(json.items.length != "")
            {

                for(var i = 0 ; i < json.items.length; i++)
                {
                    var obj = new objItem();
                    var textoMax = "";

                    if(json.items[i].name.length > 16)
                    {
                        for(var j = 0; j < 16 ; j++)
                        {
                            textoMax += json.items[i].name[j];
                        }
                        textoMax += "...";
                    }
                    else
                    {
                        textoMax =  json.items[i].name;
                    }
                    obj.sourceImg = json.items[i].thumbnail;
                    obj.label_txt = textoMax;
                    obj.urlImage = json.items[i].image;
                    obj.descrip = json.items[i].description;
                    obj.numeroSwipeActual = i;
                    listModelDestinos.append({"obj":obj});

                    GlobalVars.imageSwipe.push(json.items[i].image);
                }
            }
            else
            {
                console.log("no hay datos");
            }
            cargando(false);
        }

}
