// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        width: 480
        height: 640
        color: "black"
        opacity:0.5
    }



    /////////////// Grilla ////////////////////////

        GridView {
            id: listViewDestinos
            x:50
            y:80
            width: 460
            height: 470
            cellWidth: 440;
            cellHeight: 260
            delegate:componentDestino //delegateItem
            model: listModelDestinos
            focus: true


        }


        ListModel {
            id:listModelDestinos

            Component.onCompleted:{
                console.log("***onCompleted listModel***");
            }
        }

        Component{
            id:componentDestino

            ItemHotelesDestino {
                id: itemhotelesdestino1


                Component.onCompleted: {
                    itemhotelesdestino1.image = obj.image;
                    itemhotelesdestino1.name = obj.name;
                    itemhotelesdestino1.address = obj.address;
                    itemhotelesdestino1.contact = obj.contact;

                }

            }

        }


        Rectangle {
            id: rectangle2
            x: 0
            y: -58
            width: 480
            height: 58
            opacity: 0.5
            color: "black"

            Label {
                id: label1_destino
                x: 52
                y: 7
                width: 374
                height: 44
                color: "#ffffff"
                text: "Hoteles y restaurantes"
                font.bold: true
                font.pointSize: 24
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
            }
        }


        /////////////////////////////////

        function objItem()
        {
            this.image = "";
            this.name = "";
            this.address = "";
            this.contact = "";
        }


        Component.onCompleted: {
            paintDestinos(GlobalVars.arrayDataDestinoJSON);
            if(GlobalVars.lenguaje != "es" )
            {
                label1_destino.text = "Hotels and Restaurants"
            }
           // console.log(GlobalVars.arrayDataDestinoJSON.detail.activities[0].name);
        }

        function paintDestinos(json)
        {
            var numJson = GlobalVars.arrayDataDestinoJSON.length-1;

            if(json[numJson].detail.restaurants.length >0)
            {

                for(var i = 0 ; i < json[numJson].detail.hotels.length; i++)
                {
                    var obj = new objItem();
                    obj.image = "img/insumo/hotel.png";
                    obj.name = json[numJson].detail.hotels[i].name;
                    obj.address = json[numJson].detail.hotels[i].address;
                    obj.contact = json[numJson].detail.hotels[i].contact;

                    listModelDestinos.append({"obj":obj});
                }

            }
            else
            {
                 console.log("no hay datos");
            }
            if(json[numJson].detail.restaurants.length >0)
            {

                for(var i = 0 ; i < json[numJson].detail.restaurants.length; i++)
                {
                    var obj = new objItem();
                    obj.image = "img/insumo/restaurante.png";
                    obj.name = json[numJson].detail.restaurants[i].name;
                    obj.address = json[numJson].detail.restaurants[i].address;
                    obj.contact = json[numJson].detail.restaurants[i].contact;

                    listModelDestinos.append({"obj":obj});
                }
            }
            else
            {
                console.log("no hay datos");
            }
            cargando(false);
        }

}
