// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0
import QtMultimediaKit 1.1
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Image {
        id: image_destino
        source: ""
    }

    PageStack {
        id: pageStackActividad
        width: 480
        height: 905

        x:0
        y:151

        busy: true

    }

    Rectangle {
        id: rectangle2
        x: 0
        y: 0
        width: 480
        height: 45
        opacity: 0.7
        color: "black"



        MouseArea {
            id: mouse_area_share
            x: 416
            y: 3
            width: 59
            height: 42

            onClicked: {

                if(shareHide == "true")
                {
                    shareHide = "false";
                    move_content_share_hide.running = true;
                    timer2.running = true;
                }
                else
                {
                    shareHide = "true";
                    move_content_share.running = true;
                    timer2.running = true;
                }

                //GlobalVars.urlShare = GlobalVars.arrayDataDestinoJSON.detail.share_url;
                //console.log(GlobalVars.arrayDataDestinoJSON.detail.share_url);
            }
        }
    }

    Image {
        id: image1
        x: 419
        y: -5
        width: 50
        height: 50
        source: "img/insumo/share.png"
    }

        Image {
            id: titulo_mexico
            x: 165
            y: -5
            width: 150
            height: 58
            source: "img/insumo/loader9.png"
        }

        Rectangle {
            id: rectangle1
            x: 0
            y: 105
            width: 480
            height: 46
            opacity: 0.5
            color: "black"

        Image {
            id: image_izquierda_loadDestino
            x: 37
            y: 6
            width: 24
            height: 35
            source: "img/insumo/flecha_izq.png"
            visible: false
        }

        MouseArea {
            id: mouse_area_izq
            x: 28
            y: 0
            width: 46
            height: 53
            onClicked: {
                image_derecha_loadDestino.visible = true;
                if(GlobalVars.paginaDestino>0)
                {
                    GlobalVars.paginaDestino--;
                }

                if(GlobalVars.lenguaje != "es" )
                {
                    label1_destino.text = "Detail"
                }
                else
                {
                    label1_destino.text = "Detalle";
                }

                    image_izquierda_loadDestino.visible = false;
                    pageStackActividad.pop();
            }
        }

        Image {
            id: image_derecha_loadDestino
            x: 426
            y: 6
            width: 24
            height: 35
            source: "img/insumo/flecha_der.png"
        }

        MouseArea {
            id: mouse_area_der
            x: 410
            y: 0
            width: 47
            height: 53
            onClicked: {
               cargando(true);
               pageStackActividad.push(Qt.resolvedUrl("PageActividadesActividades.qml"));
               label1_destino.text = "Actividades";
               image_derecha_loadDestino.visible = false;
               image_izquierda_loadDestino.visible = true;

                if(GlobalVars.lenguaje != "es" )
                {
                    label1_destino.text = "Activities"
                }
            }
        }

        Label {
            id: label1_destino
            x: 52
            y: 4
            width: 374
            height: 37
            color: "#ffffff"
            text: ""
            font.bold: true
            font.pixelSize: 28
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }

    Image {
        id: tituloDestino
        x: 63
        y: 59
        width: 354
        height: 35
        source: "img/insumo/BARRA-TEXTO-NARANJA.png"

        Text {
            id: text_destino
            x: 0
            y: 0
            width: 354
            height: 35
            color: "#ffffff"
            text: qsTr("")
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: 26
        }
    }



    Component.onCompleted: {


        if(GlobalVars.lenguaje != "es" )
        {
            label1_destino.text = "Detail"
        }
        else
        {
            label1_destino.text = "Detalle";
        }

        pageStackActividad.push(Qt.resolvedUrl("ItemDetalleActividad.qml"));
       // image_destino.source = "img/actividad_thum_medio/"+GlobalVars.arrayActividadJson[numJson].items.image;
        image_destino.source = "img/insumo/splash-480.png";
        var numJson = GlobalVars.arrayActividadJson.length-1;
        text_destino.text = GlobalVars.arrayActividadJson[numJson].items.name;

    }


    //****************** share /************************

       PropertyAnimation {id:move_content_share; target: content_share; properties: "y";  to: -400; duration: 800; easing.type: Easing.Linear }
       PropertyAnimation {id:move_content_share_hide; target: content_share; properties: "y";  to: 0; duration: 800; easing.type: Easing.Linear }
       property string shareHide: "false"



       Item {
           id: content_share

           /*
                   Image {
                       id: panorama_img_share
                       height: 440
                       width: 480
                       y : 800
                       source: "img/insumo/header.png"
                   }
           */

           Rectangle
           {
               id:rec_share
               height: 440
               width: 480
               y : 800
               color:"black"
               opacity:0.8
           }

           Button {
               id: button1
               x: 70
               y: 858
               text: ""
               iconSource: "img/insumo/FACE.png"
               onClicked:  {
                  // cargando(true);
                   var numJson = GlobalVars.arrayActividadJson.length-1;
                   web_view.visible = true;
                   flickable.visible = true;
                   shareHide = "false";
                   move_content_share_hide.running = true;
                   timer2.running = true;

                   try{

                           web_view.url = "http://www.facebook.com/sharer.php?s=100&p[url]="+ GlobalVars.arrayActividadJson[numJson].items.share_url +"&p[images][0]=''&p[title]="+GlobalVars.arrayActividadJson[numJson].items.title +" &p[summary]="+GlobalVars.arrayActividadJson[numJson].items.description;
                   }
                   catch(e)
                   {
                       console.log("no hay dato ");
                       web_view.url = "http://facebook.com/sharer.php?s=100&p[url]=http://www.visitmexico.com/";
                   }
                  //
               }
           }

           Button {
               id: button2
               x: 70
               y: 930
               text: ""
               iconSource: "img/insumo/TW.png"
               onClicked: {
                   var numJson = GlobalVars.arrayActividadJson.length-1;
                   web_view.visible = true;
                   flickable.visible = true;
                   shareHide = "false";
                   move_content_share_hide.running = true;
                   timer2.running = true;
                   web_view.url = "http://twitter.com/?status="+ GlobalVars.arrayActividadJson[numJson].items.share_url;
               }
           }

           Button {
               id: button3
               x: 70
               y: 1023
               text: ""
               iconSource: "img/insumo/CANCEL.png"
               onClicked: {
                   shareHide = "false";
                   move_content_share_hide.running = true;
                   timer2.running = true;
               }
           }
       }

       Timer{
           id:timer2

       }

       Flickable {
        id: flickable
        width: parent.width
        height:  parent.height
        contentWidth: web_view.width
        contentHeight: web_view.height
        interactive: true
        clip: true
        visible:false


       WebView {
           id: web_view
           preferredWidth: flickable.width
           preferredHeight: flickable.height
           visible:false
           url: ""

       }
   }


}




