// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import QtWebKit 1.0
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    property variant latitud: 0;
    property variant longitud: 0;

    Image {
        id: image_destino
        source: ""
    }

    PageStack {
        id: pageStackDestino
        width: 480
        height: 921
        x:0
        y:159
        busy: true
    }

    Rectangle {
        id: rectangle2
        x: 0
        y: 0
        width: 480
        height: 45
        opacity: 0.7
        color: "black"

        MouseArea {
            id: mouse_area_share
            x: 423
            y: 0
            width: 57
            height: 43

            onClicked: {

                if(shareHide == "true")
                {
                    shareHide = "false";
                    move_content_share_hide.running = true;
                    timer2.running = true;
                }
                else
                {
                    shareHide = "true";
                    move_content_share.running = true;
                    timer2.running = true;
                }
            }
        }
    }

    Image {
        id: image1
        x: 424
        y: 1
        width: 38
        height: 38
        source: "img/insumo/share.png"
    }


    MouseArea {
        id: mouse_area1
        x: 338
        y: 0
        width: 57
        height: 45
        onClicked:{
            var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
            var resultado = Services.readLatitud(GlobalVars.arrayDataDestinoJSON[numJson].detail.name);
            latitud = resultado.lat;
            longitud = resultado.long;
            console.log(latitud + "  " + longitud);
            Qt.openUrlExternally("geo:"+latitud+","+longitud+"?action=showOnMap&zoomLevel=13");
            //Qt.openUrlExternally("geo:16.862906,-99.885975?action=showOnMap&zoomLevel=13");
        }
    }


    Image {
        id: image2
        x: 349
        y: 3
        width: 35
        height: 35
        source: "img/insumo/nokiamap_1.png"
    }

    Image {
        id: titulo_mexico
        x: 165
        y: -5
        width: 150
        height: 58
        source: "img/insumo/loader9.png"
    }

        Rectangle {
            id: rectangle1
            x: 0
            y: 105
            width: 480
            height: 43
            color: "transparent"

        Image {
            id: image_izquierda_loadDestino
            x: 37
            y: 6
            width: 24
            height: 35
            source: "img/insumo/flecha_izq.png"
            visible: false
        }

        MouseArea {
            id: mouse_area_izq
            x: 26
            y: 2
            width: 54
            height: 49
            onClicked: {
                image_derecha_loadDestino.visible = true;
                if(GlobalVars.paginaDestino>0)
                {
                    GlobalVars.paginaDestino--;
                }

                if(GlobalVars.paginaDestino == 0)
                {
                    image_izquierda_loadDestino.visible = false;
                }
                    pageStackDestino.pop();
            }
        }

        Image {
            id: image_derecha_loadDestino
            x: 426
            y: 6
            width: 24
            height: 35
            source: "img/insumo/flecha_der.png"
        }

        MouseArea {
            id: mouse_area_der
            x: 410
            y: 2
            width: 54
            height: 49
            onClicked: {
                if(GlobalVars.paginaDestino < 5)
                {
                    image_derecha_loadDestino.visible = true;
                }

                if(GlobalVars.paginaDestino == 0)
                {
                    cargando(true);
                    pageStackDestino.push(Qt.resolvedUrl("PageClima.qml"));
                    image_izquierda_loadDestino.visible = false;
                    GlobalVars.paginaDestino++;
                }
                else if(GlobalVars.paginaDestino == 1)
                {
                   cargando(true);
                   pageStackDestino.push(Qt.resolvedUrl("PageActividadesDestino.qml"));
                   GlobalVars.paginaDestino++;
                   GlobalVars.ultimaPaginaDestino.push(GlobalVars.paginaDestino);
                }
                else if(GlobalVars.paginaDestino == 2)
                {
                    cargando(true);
                    pageStackDestino.push(Qt.resolvedUrl("PageNearDestinies.qml"));
                    GlobalVars.paginaDestino++;
                    GlobalVars.ultimaPaginaDestino.push(GlobalVars.paginaDestino);
                }
                else if(GlobalVars.paginaDestino == 3)
                {
                    cargando(true);
                    pageStackDestino.push(Qt.resolvedUrl("PageFotoDestino.qml"));
                    GlobalVars.paginaDestino++;
                    GlobalVars.ultimaPaginaDestino.push(GlobalVars.paginaDestino);
                }
                else if(GlobalVars.paginaDestino == 4)
                {
                    cargando(true);
                    pageStackDestino.push(Qt.resolvedUrl("PageHotelesDestino.qml"));
                    GlobalVars.paginaDestino++;
                    image_derecha_loadDestino.visible = false;
                }
                    image_izquierda_loadDestino.visible = true;
            }
        }
    }

    Image {
        id: tituloDestino
        x: 63
        y: 56
        width: 354
        height: 35
        source: "img/insumo/BARRA-TEXTO-MORADO.png"

        Text {
            id: text_destino
            x: 0
            y: 0
            width: 354
            height: 35
            color: "#ffffff"
            text: qsTr("")
            //wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: 26
        }
    }

 //****************** share /************************

    PropertyAnimation {id:move_content_share; target: content_share; properties: "y";  to: -400; duration: 800; easing.type: Easing.Linear }
    PropertyAnimation {id:move_content_share_hide; target: content_share; properties: "y";  to: 0; duration: 800; easing.type: Easing.Linear }
    property string shareHide: "false"

    Item {
        id: content_share

        Rectangle
        {
            id:rec_share
            height: 440
            width: 480
            y : 800
            color:"black"
            opacity:0.8
        }

        Button {
            id: button1
            x: 70
            y: 858
            text: ""
            iconSource: "img/insumo/FACE.png"
            onClicked:  {
                var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
                web_view.visible = true;
                flickable.visible = true;
                shareHide = "false";
                move_content_share_hide.running = true;
                timer2.running = true;
                web_view.url = "http://www.facebook.com/sharer.php?s=100&p[url]="+ GlobalVars.arrayDataDestinoJSON[numJson].detail.share_url +"&p[images][0]=''&p[title]="+GlobalVars.arrayDataDestinoJSON[numJson].detail.title +" &p[summary]="+GlobalVars.arrayDataDestinoJSON[numJson].detail.detail;
            }
        }

        Button {
            id: button2
            x: 70
            y: 930
            text: ""
            iconSource: "img/insumo/TW.png"
            onClicked: {
                var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
                web_view.visible = true;
                flickable.visible = true;
                shareHide = "false";
                move_content_share_hide.running = true;
                timer2.running = true;
                web_view.url = "http://twitter.com/?status="+ GlobalVars.arrayDataDestinoJSON[numJson].detail.share_url;
            }
        }

        Button {
            id: button3
            x: 70
            y: 1023
            iconSource: "img/insumo/CANCEL.png"
            text: ""
            onClicked: {
                shareHide = "false";
                move_content_share_hide.running = true;
                timer2.running = true;
            }
        }
    }

    Timer{
       id:timer2
    }

    Flickable {
     id: flickable
     width: parent.width
     height:  parent.height
     contentWidth: web_view.width
     contentHeight: web_view.height
     interactive: true
     clip: true
     visible:false

    WebView {
        id: web_view
        x: 0
        y: -1
        preferredWidth: flickable.width
        preferredHeight: flickable.height
        ///x: 5
        //y: 40
        //height: 700
       // width:460
        //preferredWidth :470
       // preferredHeight: 700
        visible:false
        url: ""


      //  contentsScale:1
        }
    }



    Component.onCompleted: {
        pageStackDestino.push(Qt.resolvedUrl("ItemDetalleDestino.qml"));
        var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
        image_destino.source = "img/destinos_thum_medio/"+GlobalVars.arrayDataDestinoJSON[numJson].detail.image;
        text_destino.text = GlobalVars.arrayDataDestinoJSON[numJson].detail.name;
        }
    }
