// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************

Page {
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    PropertyAnimation {id:move_content_panorama_destino; target: content_panorama_destino; properties: "x";  to: -318; duration: 10000; easing.type: Easing.Linear }

    property int contPano: 0;

    Item {
        id: content_panorama_destino

        Image {
            id: panorama_img_destino
            height: 740
            source: GlobalVars.arrayImgPano[contPano]
        }
    }

    Timer{
        id:timer_destino
        interval: 10100
        repeat: true

        onTriggered: {
            restarAnimation();
        }

    }

    Rectangle{
        id:fondoopaco
        color: "black"
        opacity:0.6
        width: 480
        height: 740

    }

    function restarAnimation()
    {

        contPano++;
        if(contPano >= GlobalVars.arrayImgPano.length )
        {contPano = 0}

        panorama_img_destino.source = GlobalVars.arrayImgPano[contPano];
        content_panorama_destino.x = 0;

        move_content_panorama_destino.running = true;
        timer_destino.running = true;
    }



/////////////// Grilla ////////////////////////

    GridView {
        id: listViewDestinos
        x:30
        y:143
        width: 460
        height: 470
        cellWidth: 230;
        cellHeight: 140
        delegate:componentDestino //delegateItem
        model: listModelDestinos
        focus: true
    }


    ListModel {
        id:listModelDestinos

        Component.onCompleted:{
        }
    }

    Component{
        id:componentDestino

        ItemMultimedia{
            id:itemmultimedia1

            Component.onCompleted: {

                itemmultimedia1.sourceImg = obj.sourceImg;
                itemmultimedia1.label_txt = obj.label_txt;
                itemmultimedia1.urlJSON = obj.url;

            }

        }

    }

    Image {
        id: image1
        x: 80
        y: 70
        width: 354
        height: 35
        source: "img/insumo/BARRA-TEXTO-VERDE.png"
    }

    Text {
        id: text1
        x: 80
        y: 70
        width: 354
        height: 35
        color: "#ffffff"
        text: qsTr("Multimedia")
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 26
    }


    Rectangle {
        id: rectangle_black
        x: 0
        y: 0
        width: 480
        height: 55
        opacity: 0.7
        color: "black"
    }
    Image {
        id: image_mexico
        x: 165
        y: 0
        width:150
        height: 60
        source: "img/insumo/loader9.png"
    }



    /////////////////////////////////

    function objItem()
    {
        this.sourceImg = "";
        this.label_txt = "";
        this.url = "";
    }


    Component.onCompleted: {
        move_content_panorama_destino.running = true;
        timer_destino.running = true;
        var urlString = "http://visitmexicoservices.cloudapp.net/services/Secciones.svc/root/";
        var json = Services.cargarJson(paintDestinos,urlString);


    }

    function paintDestinos(json)
    {

        for(var i = 3 ; i < json.items.length; i++)
        {
            var obj = new objItem();
            obj.sourceImg = json.items[i].thumbnail;
            obj.label_txt = json.items[i].name;
            obj.url = json.items[i].url_spa;

            if(i == 3)
            {
                obj.label_txt = "Estados";
                if(GlobalVars.lenguaje != "es" )
                {
                    obj.label_txt = "Routes";
                }
            }
            else if(i == 4)
            {
                obj.label_txt = "Promocionados";
                if(GlobalVars.lenguaje != "es" )
                {
                    obj.label_txt = "Promoted";
                }
            }
            else
            {
                obj.label_txt = "Galerias";
                if(GlobalVars.lenguaje != "es" )
                {
                    obj.label_txt = "Galleries";
                }
            }

         /*   if(GlobalVars.lenguaje != "es" )
            {
                obj.url = json.items[i].url_eng;
            }
*/
            listModelDestinos.append({"obj":obj});
            cargando(false);

        }

    }

}
