// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        width: 480
        height: 640
        color: "black"
        opacity:0.5
    }



    /////////////// Grilla ////////////////////////

        GridView {
            id: listViewDestinos
            x:30
            y:40
            width: 460
            height: 470
            cellWidth: 230;
            cellHeight: 140
            delegate:componentDestino //delegateItem
            model: listModelDestinos
            focus: true

        }


        ListModel {
            id:listModelDestinos

            Component.onCompleted:{
                console.log("***onCompleted listModel***");
            }
        }

        Component{
            id:componentDestino


            ItemNearDestinies {
                id: itemneardestinies1


                Component.onCompleted: {

                    itemneardestinies1.sourceImg = obj.sourceImg;
                    itemneardestinies1.label_txt = obj.label_txt;
                    itemneardestinies1.urlJSON = obj.url;

                }

            }

        }

        Rectangle {
            id: rectangle2
            x: 0
            y: -58
            width: 480
            height: 58
            opacity: 0.5
            color: "black"

            Label {
                id: label1_destino
                x: 52
                y: 7
                width: 374
                height: 44
                color: "#ffffff"
                text: "Destinos cercanos"
                font.bold: true
                font.pointSize: 24
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
            }
        }


        /////////////////////////////////

        function objItem()
        {
            this.sourceImg = "";
            this.label_txt = "";
            this.url = "";
        }


        Component.onCompleted: {
            paintDestinos(GlobalVars.arrayDataDestinoJSON);
            if(GlobalVars.lenguaje != "es" )
            {
                label1_destino.text = "Dear destinies"
            }
                // console.log(GlobalVars.arrayDataDestinoJSON.detail.activities[0].name);
        }

        function paintDestinos(json)
        {
            var numJson = GlobalVars.arrayDataDestinoJSON.length-1;

            if(json[numJson].detail.nearDestinies.length >0)
            {
                for(var i = 0 ; i < json[numJson].detail.nearDestinies.length; i++)
                {
                    var str = json[numJson].detail.nearDestinies[i].name;
                    str = str.replace(" ","_");
                    str = str.replace(" ","_");

                    var obj = new objItem();
                    var textoMax = "";

                    if(json[numJson].detail.nearDestinies[i].name.length > 16)
                    {
                        for(var j = 0; j < 16 ; j++)
                        {
                            textoMax += json[numJson].detail.nearDestinies[i].name[j];
                        }
                        textoMax += "...";
                    }
                    else
                    {
                        textoMax = json[numJson].detail.nearDestinies[i].name;
                    }

                    obj.sourceImg = "img/destinos_thum/"+str.toLowerCase()+".jpg";
                    obj.label_txt = json[numJson].detail.nearDestinies[i].name;
                    obj.url = json[numJson].detail.nearDestinies[i].url;

                    listModelDestinos.append({"obj":obj});
                }
            }
            else
            {
                console.log("no hay datos");
            }
            cargando(false);

        }

}
