// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        x: 0
        y: 100
        width: 480
        height: 640
        color: "transparent"

        Image {
            id: image1
            x: 0
            y: -99
            width: 480
            height: 739
            source: "img/insumo/splash-480.png"
        }
    }


    /////////////// Grilla ////////////////////////

        GridView {
            id: listViewDestinos
            x:30
            y:140
            width: 460
            height: 470
            cellWidth: 230;
            cellHeight: 140
            delegate:componentDestino //delegateItem
            model: listModelDestinos
            focus: true

        }


        ListModel {
            id:listModelDestinos

            Component.onCompleted:{
               // console.log("***onCompleted listModel***");
            }
        }

        Component{
            id:componentDestino

            ItemVideoMultimedia {
                id: itemvideomultimedia1


                Component.onCompleted: {

                    itemvideomultimedia1.sourceImg = obj.sourceImg;
                    itemvideomultimedia1.label_txt = obj.label_txt;
                    itemvideomultimedia1.video = obj.video;

                }
            }
        }

        Image {
            id: imageB
            x: 80
            y: 61
            width: 320
            height: 27
            source: "img/insumo/BARRA-TEXTO-VERDE.png"
        }

        Text {
            id: textB
            x: 80
            y: 60
            width: 320
            height: 27
            color: "#ffffff"
            text: qsTr("Videos")
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: 21
        }


        Rectangle {
            id: rectangle2
            x: 0
            y: 99
            width: 480
            height: 35
            opacity: 0.5
            color: "black"

            Label {
                id: label1_destino
                x: 52
                y: 4
                width: 374
                height: 29
                color: "#ffffff"
                text: "Videos"
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
            }
        }


        Rectangle {
            id: rectangle_black
            x: 0
            y: 0
            width: 480
            height: 55
            opacity: 0.7
            color: "black"
        }

        Image {
            id: image2
            x: 165
            y: 0
            width: 150
            height: 60
            source: "img/insumo/loader9.png"
        }


        /////////////////////////////////

        function objItem()
        {
            this.sourceImg = "";
            this.label_txt = "";
            this.video = "";
        }


        Component.onCompleted: {
            paintDestinos(GlobalVars.arrayMultimediaJson);
            if(GlobalVars.lenguaje != "es" )
            {
                label1_destino.text = "Videos"
                textB.text = "Videos"
            }
        }

        function paintDestinos(json)
        {
          /*  console.log("ciudad: "+json.feed.entry[0].title.$t);
            console.log("video: "+json.feed.entry[0].link[0].href);
            console.log("tumna: "+json.feed.entry[0].media$group.media$thumbnail[1].url);
*/


            if(json.feed.entry.length > 0)
            {

                for(var i = 0 ; i < json.feed.entry.length; i++)
                {
                    var obj = new objItem();
                    var textoMax = "";

                    if(json.feed.entry[i].title.$t.length > 16)
                    {
                        for(var j = 0; j < 16 ; j++)
                        {
                            textoMax += json.feed.entry[i].title.$t[j];
                        }
                        textoMax += "...";
                    }
                    else
                    {
                        textoMax =  json.feed.entry[i].title.$t;
                    }
                    obj.sourceImg = json.feed.entry[i].media$group.media$thumbnail[1].url;
                    obj.label_txt = textoMax;
                    obj.video = json.feed.entry[i].link[0].href;
                    listModelDestinos.append({"obj":obj});
                }
            }
            else
            {
                console.log("no hay datos");
            }
            cargando(false);
        }

}
