// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************

Page {
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    PropertyAnimation {id:move_content_panorama_destino; target: content_panorama_destino; properties: "x";  to: -318; duration: 10000; easing.type: Easing.Linear }

    property int contPano: 0;

    Item {
        id: content_panorama_destino


        Image {
            id: panorama_img_destino
            height: 740
            source: GlobalVars.arrayImgPano[contPano]
        }
    }

    Timer{
        id:timer_destino
        interval: 10100
        repeat: true

        onTriggered: {
            restarAnimation();
        }

    }

    Rectangle{
        id:fondoopaco
        color: "black"
        opacity:0.5
        width: 480
        height: 740
    }

    Rectangle {
        id: rectangle2
        x: 0
        y: 0
        width: 480
        height: 55
        opacity: 0.7
        color: "black"
    }
    Image {
        id: image1
        x: 165
        y: 0
        width:150
        height: 60
        source: "img/insumo/loader9.png"
    }

    Image {
        id: bandera1
        x: 80
        y: 341
        width: 64
        height: 64
        source: "img/insumo/flag_es.png"
    }

    Image {
        id: bandera2
        x: 298
        y: 341
        width: 64
        height: 64
        source: "img/insumo/flag_en.png"
    }

    MouseArea {
        id: clkBandera1
        x: 62
        y: 341
        width: 100
        height: 66

        onClicked: {
            GlobalVars.lenguaje = "es";
            GlobalVars.finalUrl = "/idSubplataforma=2/lang="+GlobalVars.lenguaje+"/";
            pageStack.clear();
            pageStack.push(Qt.resolvedUrl("HomePage.qml"));
            menu1 = ["Inicio","Idioma","Multimedia","Actividades","Destinos"];
            archivoLenguaje();
        }
    }

    MouseArea {
        id: clkBandera2
        x: 287
        y: 341
        width: 100
        height: 66

        onClicked: {
            GlobalVars.lenguaje = "en";
            GlobalVars.finalUrl = "/idSubplataforma=2/lang="+GlobalVars.lenguaje+"/";
            pageStack.clear();
            pageStack.push(Qt.resolvedUrl("HomePage.qml"));
            menu1 = menu2
            archivoLenguaje();
        }
    }

    Text {
        id: label_lenguaje
        x: 118
        y: 169
        width: 244
        height: 36
        color: "#ffffff"
        text: ""
        font.bold: true
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.WordWrap
        font.pixelSize: 34
    }



    Component.onCompleted: {
        move_content_panorama_destino.running = true;
        timer_destino.running = true;

        if(GlobalVars.lenguaje == "es")
        {
            label_lenguaje.text = "Selecciona tu idioma";
        }
        else
        {
            label_lenguaje.text = "Select your language";
        }

    }


    function restarAnimation()
    {

        contPano++;
        if(contPano >= GlobalVars.arrayImgPano.length )
        {contPano = 0}

        panorama_img_destino.source = GlobalVars.arrayImgPano[contPano];
        content_panorama_destino.x = 0;

        move_content_panorama_destino.running = true;
        timer_destino.running = true;
    }


}
