import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.location 1.2
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services

PageStackWindow {
    id: appWindow
    signal chageLen(string lengu);
    signal verLengActual();


    /*initialPage: mainPage

    MainPage {
        id: mainPage
    }*/

   // property string respuesta: GlobalVars.;

    ToolBarLayout {
        id: commonTools
        visible: true
        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status == DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }

        ToolIcon {
            platformIconId: "toolbar-back"
            anchors.left: (parent === undefined) ? undefined : parent.left
            onClicked: pageStack.depth <= 1 ? salirApp() : atras()
        }
    }

   // property variant menu1: ["Inicio","Idioma","Multimedia","Actividades","Destinos"];
   // property variant menu2: ["Home","Language","Media","Activities","Destinations"];

    PositionSource {
           id: positionSource
           updateInterval: 1000
           active: true
           // nmeaSource: "nmealog.txt"
       }

    property variant menu1: ["Inicio","Actividades","Destinos","Multimedia","Mapas","Llegar a","Idioma"];
    property variant menu2: ["Home","Activities","Destinations","Media","Maps","Drive","Language"];
    property double mapLat;
    property double mapLong;
    property string numeVersion;
    property string urlOviStore;

    mapLat: positionSource.position.coordinate.latitude;
    mapLong: positionSource.position.coordinate.longitude;

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem { text: menu1[0]; onClicked: inicio() }
                MenuItem { text: menu1[1]; onClicked: actividades() }
                MenuItem { text: menu1[2]; onClicked: destino() }
                MenuItem { text: menu1[3]; onClicked: multimedia() }
                MenuItem { text: menu1[4]; onClicked: mapa() }
                MenuItem { text: menu1[5]; onClicked: drive() }
                MenuItem { text: menu1[6]; onClicked: escojerLenguaje() }
        }
    }

    Loader{
        id:loaderCargando
        source: ""

    }

    Dialog {
      id: myDialog
      title: Rectangle {
        id: titleField
        height: 2
        width: parent.width
        color: "red"
      }

      content:Item {
        id: name
        height: 50
        width: parent.width
        Text {
          id: text
          font.pixelSize: 22
          anchors.centerIn: parent
          color: "white"
          text: "¿Desea salir de la aplicación?"
        }
      }

      buttons: ButtonRow {
        style: ButtonStyle { }
          anchors.horizontalCenter: parent.horizontalCenter
          Button {text: "OK"; onClicked:  Qt.quit()()}
          Button {text: "NO"; onClicked: myDialog.accept()}
        }

      }


   //******************** actualizacion  obligatoria **********

    Dialog {
      id: myDialogAPP
      title: Rectangle {
        id: titleFieldAPP
        y:-25
        height: 2
        width: parent.width
        color: "red"
      }

      content:Item {
        id: nameAPP
        height: 50
        width: parent.width
        Text {
          id: textApp
          width: 471
          height: 100
          font.pixelSize: 22
          anchors.centerIn: parent
          color: "white"
          text: "Existe una nueva version de visitMexico ¿Desea Actualizarla?"
          horizontalAlignment: Text.AlignHCenter
          wrapMode: Text.WordWrap
        }
      }

      buttons: ButtonRow {
        style: ButtonStyle { }
          anchors.horizontalCenter: parent.horizontalCenter
          Button {text: "OK"; onClicked:  ovistore()}
          Button {text: "NO"; onClicked: Qt.quit()}
        }

      }

    //******************** actualizacion  sugerida **********

     Dialog {
       id: myDialogSug
       title: Rectangle {
         id: titleFieldSug
         y:-25
         height: 2
         width: parent.width
         color: "red"
       }

       content:Item {
         id: nameSug
         height: 50
         width: parent.width
         Text {
           id: textSug
           width: 471
           height: 100
           font.pixelSize: 22
           anchors.centerIn: parent
           color: "white"
           text: "Existe una nueva version de visitMexico ¿Desea Actualizarla?"
           horizontalAlignment: Text.AlignHCenter
           wrapMode: Text.WordWrap
         }
       }

       buttons: ButtonRow {
         style: ButtonStyle { }
           anchors.horizontalCenter: parent.horizontalCenter
           Button {text: "OK"; onClicked:  ovistore()}
           Button {text: "NO"; onClicked: myDialogSug.accept()}
         }

       }

     Timer{
        id:timer_init
        interval: 50
        repeat: false
        onTriggered: {
            lenguajeFunction();
        }
     }


    ///////// FUNCTIONS ///////

    Component.onCompleted: {
        timer_init.running = true;
    }

    function lenguajeFunction()
    {
        verLengActual();
    }
    function resLengActual(respuestaLenguaje)
    {
        console.log(respuestaLenguaje);
        GlobalVars.lenguaje = respuestaLenguaje;
        GlobalVars.finalUrl = "/idSubplataforma=2/lang="+GlobalVars.lenguaje+"/";
        if(GlobalVars.lenguaje == "en" )
        {
           menu1 = menu2;
        }

        GlobalVars.descripImage = "";
        pageStack.push(Qt.resolvedUrl("HomePage.qml"));

        // canbiar version siempre
        numeVersion = '1.1.0';
        var urlString = "http://mobile.wigilabs.com/control.asmx/version?application=12&current="+numeVersion;
        Services.cargarXml(urlString,Services.versionesMeego,respuestaVersion);
    }

    function respuestaVersion(xml)
    {
        xml = JSON.parse(xml);
        urlOviStore = xml.update.url;

        console.log("xml: "+xml.update.priority);

        if(xml.update.priority == 1)
        {
            if(GlobalVars.lenguaje != "es" )
            {
                textSug.text = "A new version is available. Do you want to download it?"
            }
            else
            {
                textSug.text= "Existe una nueva versión de visitMexico. ¿Desea actualizarla?"
            }
            myDialogSug.open();
        }
        else if(xml.update.priority == 2)
        {
            if(GlobalVars.lenguaje != "es" )
            {
                textApp.text = "A new version is available. Do you want to download it?"
            }
            else
            {
                textApp.text= "Existe una nueva versión de visitMexico. ¿Desea actualizarla?"
            }
            myDialogAPP.open();
        }
    }

    function ovistore()
    {
        Qt.openUrlExternally(urlOviStore);
    }


    function drive()
    {
        Qt.openUrlExternally("geo:"+mapLat+","+mapLong+"?action=driveTo");
    }

    function mapa()
    {
       // Qt.openUrlExternally("geo:"+mapLat+","+mapLong+"?action=showOnMap");
        Qt.openUrlExternally("geo:22.92804166565176, -102.01904296875?action=showOnMap&zoomLevel=13");

    }

    function salirApp()
    {
        if(GlobalVars.lenguaje != "es" )
        {
            text.text = "Do you want to exit?"
        }
        else
        {
            text.text= "¿Desea salir de la aplicación?"
        }

        myDialog.open();

    }

    function cargando(param)
    {
        if(param)
        {
            //console.log("entron1");
            loaderCargando.visible = true;
            loaderCargando.source = "ItemCargando.qml";
        }else{
            //console.log("entron2");
            loaderCargando.visible = false;
            loaderCargando.source = "";
        }
    }

    function archivoLenguaje()
    {
        chageLen(GlobalVars.lenguaje);
    }

    function recSignal(dataLeng)
    {
        GlobalVars.lenguaje = dataLeng;
    }


    function atras()
    {

        //console.log(parent.parent.parent.parent.parent);

        if(GlobalVars.arrayDataDestinoJSON.length > 1)
        {
            GlobalVars.arrayDataDestinoJSON.pop();
        }

        pageStack.pop();
        console.log(GlobalVars.ultimaPaginaDestino[GlobalVars.ultimaPaginaDestino.length - 1]);
        GlobalVars.paginaDestino = GlobalVars.ultimaPaginaDestino[GlobalVars.ultimaPaginaDestino.length - 1];
        GlobalVars.ultimaPaginaDestino.pop();

    }

    function multimedia()
    {
        cargando(true);
        pageStack.clear();
        pageStack.push(Qt.resolvedUrl("HomePage.qml"));
        pageStack.push(Qt.resolvedUrl("PageMultimedia.qml"));
    }

    function inicio()
    {
        //pageStack.clear();
        //pageStack.push(Qt.resolvedUrl("HomePage.qml"));
       pageStack.pop(1);
       GlobalVars.paginaDestino = 0;
    }

    function loadPages(page)
    {
        pageStack.push(Qt.resolvedUrl(page));
    }

    function escojerLenguaje()
    {
        pageStack.clear();
        pageStack.push(Qt.resolvedUrl("HomePage.qml"));
        pageStack.push(Qt.resolvedUrl("lenguaje.qml"));
    }

    function actividades()
    {
        cargando(true);
        pageStack.clear();
        pageStack.push(Qt.resolvedUrl("HomePage.qml"));
        pageStack.push(Qt.resolvedUrl("PageActividades.qml"));
    }

    function destino()
    {
        cargando(true);
        pageStack.clear();
        pageStack.push(Qt.resolvedUrl("HomePage.qml"));
        pageStack.push(Qt.resolvedUrl("PageDestinos.qml"));
    }
}
